﻿// funções uteis

/********** muda a cor de um objeto **********/

import flash.geom.ColorTransform;
import flash.geom.Transform;

function mudaCor (objeto, redMultiplier, redOffset, greenMultiplier, greenOffset, blueMultiplier, blueOffset, alphaMultiplier, alphaOffset, tempo) {

	var passos = tempo/50;  //a cada 50 milisegundos
	
	var redDeltaMultiplier = (redMultiplier-1)/passos;
	var redDeltaOffset = (redOffset)/passos;
	var greenDeltaMultiplier = (greenMultiplier-1)/passos;
	var greenDeltaOffset = (greenOffset)/passos;
	var blueDeltaMultiplier = (blueMultiplier-1)/passos;
	var blueDeltaOffset = (blueOffset)/passos;
	var alphaDeltaMultiplier = (alphaMultiplier-1)/passos;
	var alphaDeltaOffset = (alphaOffset)/passos;

	var intervalo = setInterval(muda, 50);
	var i = 0;
	
	function muda() {
		
		i++;
		
		// muda a cor do objeto
		var colorTrans = new ColorTransform();
		colorTrans.redMultiplier = i*redDeltaMultiplier + 1;
		colorTrans.redOffset = i*redDeltaOffset;
		colorTrans.greenMultiplier = i*greenDeltaMultiplier + 1;
		colorTrans.greenOffset = i*greenDeltaOffset;
		colorTrans.blueMultiplier = i*blueDeltaMultiplier + 1;
		colorTrans.blueOffset = i*blueDeltaOffset;
		colorTrans.alphaMultiplier = i*alphaDeltaMultiplier + 1;
		colorTrans.alphaOffset = i*alphaDeltaOffset;
		var trans = new Transform(objeto);
		trans.colorTransform = colorTrans;		
		if (i == passos) {
			clearInterval(intervalo) // e limpa o intervalo
     	}
    };
}

/********** espera em milisegundos **********/

function espera (tempo) {
	stop();
	var intervalo = setInterval(esperaTempo, tempo);

	function esperaTempo() {
		clearInterval(intervalo) // e impa o intervalo
		play();
	};
}
